<div class='container'>

    <h1>Où suis-je ?</h1>


    <h3>Qu'est-ce que Docage ?</h3>

    <p>Docage est un module Web pemettant de faciliter grandement la signature électronique.</p>
    <p>Le principe est simple : vous entrez un document ainsi qu'une liste de signataires dans ce qu'on appelle une transaction. Lorsque vous validez celle-ci, un SMS ou E-mail est envoyé aux signataires qui peuvent prendre connaissance dudit document et l'accepter ou le refuser. S'il est accepté, il est automatiquement signé numériquement.</p>


    <h3>Quel est le rôle du Plugin ?</h3>

    <p>Ce plugin est un outil vous permettant d'automatiser le remplissage d'une transaction. Lorsqu'un utilisateur valide un de vos formulaires, ses informations seront automatiquement traitées de sorte à générer une nouvelle transaction à partir du modèle que vous aurez préalablement choisi dans la configuration du plugin.</p>

    <h1>Allons-y !</h1>

    <h3>L'identification</h3>

    <p>Pour utiliser ce plugin, il est dans un premier temps nécessaire de vous identifier.</p>
    <ul>
        <li><u>Nom d'utilisateur</u> : Adresse mail utilisée pour la connexion à Docage</li>
        <li><u>Clé API</u> : Clé d'identification récupérable sur votre compte Docage -> Clés d'API</li>
    </ul>

    <img class='info' src='<?= plugins_url( 'img/info.png', __FILE__ ) ?>'>
    <p class='info_text'>Si après validation les contours deviennent rouge, c'est que les identifiants entrés sont incorrects.</p>


    <h3>Le matching !</h3>

    <p>Si vos identifiants sont corrects, une nouvelle zone s'affiche. C'est ici que vous pourrez faire correspondre les champs de vos formulaires WPForms avec ceux de vos modèles Docage.</p>
    <p>Pour cela, rien de plus simple :</p>

    <p>Tous les formulaires présents sur votre site Web s'affichent dans la première liste déroulante. Sélectionnez-en un. Faites de même pour les modèles Docage. Vous obtenez trois colonnes :</p>

    <ul>
        <li>A gauche : sont affichés tous les champs du formulaire sélectionné, de la forme :<br> \"nom du champ\" ( \"type de champ\" ).</li>
        <li>Au centre : vous choisissez l'objet que vous souhaitez modifier. Vous avez le choix entre :
            <ul>
                <li>La transaction elle-même</li>
                <li>L'un des signataires associé à votre modèle</li>
                <li>Le fichier</li>
            </ul>
        <li>A droite : ici s'affichent tous les propriétés modifiables de l'objet que vous venez de sélectionner et que vous pouvez donc faire correspondre avec l'un de vos champs.</li>
    </ul>

    <p>Une fois que vous estimez avoir correctement associé votre formulaire avec votre modèle, vous pouvez le valider.</p>

    <img class='info' src='<?= plugins_url( 'img/info.png', __FILE__ ) ?>'>
    <p class='info_text'>Attention cependant : il est impératif d'attacher au minimum un champ de formulaire à une propriété <u>E-mail d'un signataire dynamique</u>, sinon la transaction ne pourra se créer.</p>


    <h3>Et après ?</h3>

    <p>Si tout s'est bien passé, vous devriez voir apparaître un texte vous attestant de la prise en compte de votre demande. Dès lors, chaque validation de formulaire entrainera la création d'une transaction. Vous pouvez réitérer l'opération avec autant de formulaires que vous le souhaitez.</p>

    <p id='end'><b>A vous de jouer !</b></p>

</div>